Naver News Search
Naver News Search 用于获取 Naver 新闻搜索结果。
- 按关键词抓取新闻搜索结果
- 支持按页码继续读取结果
- 返回标题、摘要、文章地址和图片地址
- 适合做韩语新闻检索和定制化新闻结果整理
使用 XCrawl 获取 Naver 新闻搜索结果
使用方式
curl -s -X POST 'https://run.xcrawl.com/v1/data' \
-H 'Authorization: Bearer $XCRAWL_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"engine": "naver_news_search",
"location": "US",
"query": "cat",
"start": 1
}'请求参数说明:
engine固定为naver_news_searchlocation用于指定结果地区query用于传入新闻搜索关键词start用于指定起始页码
响应示例
{
"results": [
{
"title": "Cat-exclusive Expo",
"content": "Incheon will host its first-ever cat-exclusive exhibition...",
"content_href": "https://news.ifm.kr/news/articleView.html?idxno=465440",
"image_src": "https://search.pstatic.net/common/?src=..."
}
]
}参数说明
必填参数
| 参数 | 类型 | 说明 |
|---|---|---|
location | string | 指定结果地区。 |
query | string | 新闻搜索关键词。 |
start | number | 起始页码。 |
参数补充说明
location默认值为USstart默认值为1
响应字段
响应数据位于 results[]。
| 字段 | 类型 | 说明 |
|---|---|---|
title | string | 新闻标题。 |
content | string | 新闻摘要或片段。 |
content_href | string | 新闻正文链接。 |
image_href | string | 图片所在页面链接。 |
image_src | string | 图片地址。 |
title_href | string | 标题点击链接。 |
